Subject: Re: [bug#37413] [PATCH 0/9] Channel news distribution mechanism

From: Julien Lepiller <[email-masked]>
Date: Tue, 17 Sep 2019 20:21:18 +0200

Le Tue, 17 Sep 2019 19:41:02 +0200,
"pelzflorian (Florian Pelz)" <[email-masked]> a écrit :

> On Tue, Sep 17, 2019 at 05:27:37PM +0200, Ludovic Courtès wrote:
> > As you’ve seen, the format I proposed does not rely on PO files and
> > gettext at all:
> > 
> >   https://issues.guix.gnu.org/issue/37413#5
> >  
> 
> I did not read carefully before, but even with this format, a Guile
> script could turn it into a POT file with multiple entries and another
> Guile script could add translations from a PO file into such a news
> file.
> 
> 
> 
> 
> > Are you suggesting that it should rely on PO files?  
> 
> 
> Yes.  The format need not be changed.  PO file conversion scripts can
> be added later, but should be a goal.
> 
> 
> 
> 
> > We can discuss it,
> > but that would be a significant change with technical challenges
> > compared to what I propose.
> > (Also keep in mind that the news mechanism
> > aims to be available to third-party channels as well.)
> >   
> 
> 3rd parties would not need to use the PO file conversion scripts.
> 
> 
> 
> > Also, why do you mention “the package info”?  There’s no notion of a
> > package here, so I wonder if there’s a misunderstanding.
> >   
> 
> Channels contain packages whose summaries and descriptions need
> translations as well, or do I misunderstand?  Admittedly, it will take
> some time until guix-packages is translated, but it should be a goal.
> 
> 
> 
> 
> > >> and (2) I think this is outside
> > >> the scope of the TP.
> > >> 
> > >> Does that clarify?
> > >> 
> > >> Ludo’.  
> > >
> > > I do not see why such translation should be outside the scope of
> > > the TP?  I can only think of the speed of POT file acceptance and
> > > PO file translators.  
> > 
> > Speed would be a problem (POT files have to be manually accepted by
> > Benno.)  But also, like I wrote earlier, (1) the TP is geared
> > towards translating releases of software packages, and (2) and
> > those news snippets could arrive anytime, not in sync with a
> > “release.” 
> > > I am unsure if setting up Guix’ own translation team would attract
> > > quicker translators than relying on the TP.  
> > 
> > Yeah, having a real translation team is best, but in this case I
> > don’t see how that could work.
> > 
> > Julien mentioned some time ago that we could run our own Pootle
> > instance.  Maybe that could be helpful in this case.
> > 
> > Thank you,
> > Ludo’.  
> 
> I do not know what Benno thinks about this.  I would prefer this to be
> handled by some Translation Project eventually.

I partially agree: on the one hand, having our own translation platform
only increases fragmentation of the free software translation teams,
and on the other hand, it means we can have a more reactive and
customized translation process. I also agree with Ludo that the TP is
probably not the right place for news translations: even if Benno
accepts the new translations super fast (and Benno is usually fast,
I just keep making mistakes when submitting a new version), it's
going to update all translations (guix, guix-packages and guix-manual),
and translators might focus on these instead of the news.

Using a PO file for news items seem a bit drastic too: a news item is
not supposed to change, except maybe for a typo.

Channel translation is another subject, but they could provide their
own PO file and have them translated separately from the official Guix
translation process. Guix pull would then concatenate po files from
every channel and install that. Does it sound good/feasible?

> Regards,
> Florian